Bug 1341356 - httpie: No (obvious) reason to ship both py2 and py3 executables
Summary: httpie: No (obvious) reason to ship both py2 and py3 executables
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: httpie
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rick Elrod
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-01 00:04 UTC by Miro Hrončok
Modified: 2017-07-19 11:43 UTC (History)
3 users (show)

Fixed In Version: httpie-0.9.4-4.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-19 11:43:50 UTC
Type: Bug


Attachments (Terms of Use)

Description Miro Hrončok 2016-06-01 00:04:34 UTC
httpie currently ships the following:

$ rpm -ql python2-httpie | grep bin
/usr/bin/python2-http

$ rpm -ql python3-httpie | grep bin
/usr/bin/http
/usr/bin/python3-http

(and corresponding man pages)

Since the behavior of httpie is Python version agnostic (at least I think so, as from the user perspective, httpie could be written in brainfuck), I see no reason for shipping /usr/bin/python2-http and /usr/bin/python3-http.

Quoting from the guidelines [1]:

> If the executables provide the same functionality independent of whether they are run on top of Python 2 or Python 3, then only the Python 3 version of the executable should be packaged.

However, if this is not the case and httpie provides different functionality on different Pythons (for example if it could execute user installed plugins written in that Python version), the naming scheme of the executables is not following the current guidelines, and should look like this [2]:

$ rpm -ql python2-httpie | grep bin
/usr/bin/http
/usr/bin/http-2
/usr/bin/http-2.7

$ rpm -ql python3-httpie | grep bin
/usr/bin/http-3
/usr/bin/http-3.4 (or 5)

More useful information about this case can be found at our Python RPM Porting Guide [3].

[1] https://fedoraproject.org/wiki/Packaging:Python#Executables_in_.2Fusr.2Fbin
[2] https://fedoraproject.org/wiki/Packaging:Python#Naming
[3] https://python-rpm-porting.readthedocs.io/en/latest/tools.html#install

Comment 1 Fedora End Of Life 2016-11-25 09:10:48 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Miro Hrončok 2016-11-25 11:49:28 UTC
Still valid.

Comment 3 Will Thompson 2017-07-19 10:55:22 UTC
There seems to only be one 'httpie' package in Fedora 26, so I think this is now fixed?

Comment 4 Miro Hrončok 2017-07-19 11:43:50 UTC
It is, thanks for info.


Note You need to log in before you can comment on or make changes to this bug.